org.apache.cassandra.cql3

## Class Json.Prepared

- java.lang.Object
- - org.apache.cassandra.cql3.Json.Prepared

Enclosing class:
  Json

    public abstract static class Json.Prepared
    extends java.lang.Object

A prepared, full set of JSON values.

### Constructor Summary

Constructors
Constructor and Description
`Prepared()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Term.Raw` `getRawTermForColumn(ColumnDefinition def, boolean defaultUnset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Prepared

    public Prepared()

### Method Detail

#### getRawTermForColumn

    public abstract Term.Raw getRawTermForColumn(ColumnDefinition def,
                                                 boolean defaultUnset)